# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "eure-ls"
version = "0.1.4"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Language Server Protocol implementation for Eure"
homepage = "https://eure.dev"
readme = "README.md"
keywords = [
    "eure",
    "ide",
    "language-server",
    "lsp",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/Hihaheho/eure"
resolver = "2"

[package.metadata.wasm-pack.profile.release.wasm-bindgen]
omit-default-module-path = true

[features]
default = []
http = ["eure/http"]

[lib]
name = "eure_ls"
crate-type = [
    "cdylib",
    "rlib",
]
path = "src/lib.rs"

[[bin]]
name = "eurels"
path = "src/main.rs"
required-features = ["http"]

[dependencies.anyhow]
version = "1"

[dependencies.eure]
version = "0.1.4"

[dependencies.eure-env]
version = "0.1.4"

[dependencies.eure-schema]
version = "0.1.4"

[dependencies.lsp-types]
version = "0.97.0"

[dependencies.percent-encoding]
version = "2.3"

[dependencies.query-flow]
version = "0.12"

[dependencies.serde]
version = "1"

[dependencies.serde_json]
version = "1"

[target.'cfg(not(target_arch = "wasm32"))'.dependencies.crossbeam-channel]
version = "0.5"

[target.'cfg(not(target_arch = "wasm32"))'.dependencies.glob]
version = "0.3"

[target.'cfg(not(target_arch = "wasm32"))'.dependencies.lsp-server]
version = "0.7.6"

[target.'cfg(not(target_arch = "wasm32"))'.dependencies.tracing]
version = "0.1"

[target.'cfg(not(target_arch = "wasm32"))'.dependencies.tracing-subscriber]
version = "0.3"
features = ["env-filter"]

[target.'cfg(target_arch = "wasm32")'.dependencies.console_error_panic_hook]
version = "0.1"

[target.'cfg(target_arch = "wasm32")'.dependencies.getrandom]
version = "0.3"
features = ["wasm_js"]

[target.'cfg(target_arch = "wasm32")'.dependencies.js-sys]
version = "0.3"

[target.'cfg(target_arch = "wasm32")'.dependencies.serde-wasm-bindgen]
version = "0.6"

[target.'cfg(target_arch = "wasm32")'.dependencies.url]
version = "2"

[target.'cfg(target_arch = "wasm32")'.dependencies.wasm-bindgen]
version = "0.2"
